Company

infoQ: Scala 2.12 Will Only Support Java 8

Back to news...

infoQ: Scala 2.12 Will Only Support Java 8

July 29, 2014

in Press

"As announced in the recent Scala roadmap (http://scala-lang.org/news/2.12-roadmap), the Scala language will only run on Java 8 and later from Scala version 2.12 and onwards. InfoQ caught up with Adriaan Moors (Scala tech lead at Typesafe) and Jason Zaugg (Typesafe engineer) to hear more about this change and how Scala will be making use of Java 8's lambdas implementation."

Read the full article!